Initialize Transaction
curl --request POST \
--url https://api.eka.care/voice/api/v2/transaction/init/{txn_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_data": {
"doctor": {
"_id": "174097180967921",
"profile": {
"personal": {
"name": {
"f": "Divyesh",
"l": ""
}
}
}
},
"patient": {},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
},
"mode": "dictation",
"input_language": [
"en-IN"
],
"output_language": "en-IN",
"speciality": "general_medicine",
"output_format_template": [
{
"template_id": "eka_emr_template",
"codification_needed": false
}
],
"transfer": "non-vaded",
"batch_s3_url": "s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/"
}
'import requests
url = "https://api.eka.care/voice/api/v2/transaction/init/{txn_id}"
payload = {
"additional_data": {
"doctor": {
"_id": "174097180967921",
"profile": { "personal": { "name": {
"f": "Divyesh",
"l": ""
} } }
},
"patient": {},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
},
"mode": "dictation",
"input_language": ["en-IN"],
"output_language": "en-IN",
"speciality": "general_medicine",
"output_format_template": [
{
"template_id": "eka_emr_template",
"codification_needed": False
}
],
"transfer": "non-vaded",
"batch_s3_url": "s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_data: {
doctor: {_id: '174097180967921', profile: {personal: {name: {f: 'Divyesh', l: ''}}}},
patient: {},
visitid: '09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782'
},
mode: 'dictation',
input_language: ['en-IN'],
output_language: 'en-IN',
speciality: 'general_medicine',
output_format_template: [{template_id: 'eka_emr_template', codification_needed: false}],
transfer: 'non-vaded',
batch_s3_url: 's3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/'
})
};
fetch('https://api.eka.care/voice/api/v2/transaction/init/{txn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Transaction initialized successfully",
"txn_id": "test_1234",
"b_id": "b-1234567890"
}{
"error": "Unauthorized",
"message": "Invalid or missing authentication token"
}{
"status": "error",
"message": "Transaction already initialized"
}{
"details": [
{}
]
}{
"error": "<string>",
"code": "<string>"
}Start Transcription
Start the transcription process for the uploaded audio files. This endpoint is called after uploading any audio files in S3 bucket for transcription and processing.
POST
/
voice
/
api
/
v2
/
transaction
/
init
/
{txn_id}
Initialize Transaction
curl --request POST \
--url https://api.eka.care/voice/api/v2/transaction/init/{txn_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_data": {
"doctor": {
"_id": "174097180967921",
"profile": {
"personal": {
"name": {
"f": "Divyesh",
"l": ""
}
}
}
},
"patient": {},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
},
"mode": "dictation",
"input_language": [
"en-IN"
],
"output_language": "en-IN",
"speciality": "general_medicine",
"output_format_template": [
{
"template_id": "eka_emr_template",
"codification_needed": false
}
],
"transfer": "non-vaded",
"batch_s3_url": "s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/"
}
'import requests
url = "https://api.eka.care/voice/api/v2/transaction/init/{txn_id}"
payload = {
"additional_data": {
"doctor": {
"_id": "174097180967921",
"profile": { "personal": { "name": {
"f": "Divyesh",
"l": ""
} } }
},
"patient": {},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
},
"mode": "dictation",
"input_language": ["en-IN"],
"output_language": "en-IN",
"speciality": "general_medicine",
"output_format_template": [
{
"template_id": "eka_emr_template",
"codification_needed": False
}
],
"transfer": "non-vaded",
"batch_s3_url": "s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_data: {
doctor: {_id: '174097180967921', profile: {personal: {name: {f: 'Divyesh', l: ''}}}},
patient: {},
visitid: '09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782'
},
mode: 'dictation',
input_language: ['en-IN'],
output_language: 'en-IN',
speciality: 'general_medicine',
output_format_template: [{template_id: 'eka_emr_template', codification_needed: false}],
transfer: 'non-vaded',
batch_s3_url: 's3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/'
})
};
fetch('https://api.eka.care/voice/api/v2/transaction/init/{txn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.eka.care/voice/api/v2/transaction/init/{txn_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additional_data\": {\n \"doctor\": {\n \"_id\": \"174097180967921\",\n \"profile\": {\n \"personal\": {\n \"name\": {\n \"f\": \"Divyesh\",\n \"l\": \"\"\n }\n }\n }\n },\n \"patient\": {},\n \"visitid\": \"09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782\"\n },\n \"mode\": \"dictation\",\n \"input_language\": [\n \"en-IN\"\n ],\n \"output_language\": \"en-IN\",\n \"speciality\": \"general_medicine\",\n \"output_format_template\": [\n {\n \"template_id\": \"eka_emr_template\",\n \"codification_needed\": false\n }\n ],\n \"transfer\": \"non-vaded\",\n \"batch_s3_url\": \"s3://m-pp-voice2rx/250307/R-S3-195D5131-D014-56A8-ACCF-2F8F2D230DEC/\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Transaction initialized successfully",
"txn_id": "test_1234",
"b_id": "b-1234567890"
}{
"error": "Unauthorized",
"message": "Invalid or missing authentication token"
}{
"status": "error",
"message": "Transaction already initialized"
}{
"details": [
{}
]
}{
"error": "<string>",
"code": "<string>"
}This API is deprecated. Please use the new EkaScribe Protocol APIs (Create Session → Upload Audio → End Session) or the SDKs instead.
Available Template IDs
Eka Care supports multiple output templates for different medical documentation needs. Choose the appropriate template ID based on your requirements:| Template ID | Description | Use Case |
|---|---|---|
clinical_notes_template | Comprehensive clinical notes with structured medical information | General clinical documentation, patient consultations |
eka_emr_template | EMR-compatible format for electronic medical records | Integration with EMR systems |
transcript_template | Basic transcription with minimal structuring | Simple audio-to-text conversion |
Available model types
| Model Type | Description |
|---|---|
| pro | Our most accurate model |
| lite | More performant model for lower latency |
Supported Input Languages
Eka Care supports transcription in multiple languages. Specify the appropriate language ID in theinput_language parameter:
| Language ID | Language Name |
|---|---|
en-IN | English (India) |
en-US | English (United States) |
hi | Hindi |
gu | Gujarati |
kn | Kannada |
ml | Malayalam |
ta | Tamil |
te | Telugu |
bn | Bengali |
mr | Marathi |
pa | Punjabi |
or | Oriya |
Supported Output Languages
Eka Care supports generating transcription output in multiple languages, but only one can be selected at a time. Specify the appropriate language ID in theoutput_language parameter.
| Language ID | Language Name |
|---|---|
en-IN | English (India) |
en-US | English (United States) |
hi | Hindi |
gu | Gujarati |
kn | Kannada |
ml | Malayalam |
ta | Tamil |
te | Telugu |
bn | Bengali |
mr | Marathi |
pa | Punjabi |
or | Oriya |
Authorizations
Path Parameters
Body
application/json
Complete S3 URL path where audio files are uploaded. This is constructed by combining:
- Base S3 URL from presigned response:
presigned_url["uploadData"]["url"] - Folder path from presigned response:
presigned_url["folderPath"]
Construction: presigned_url["uploadData"]["url"] + presigned_url["folderPath"]
Example:
"https://m-prod-ekascribe-batch.s3.amazonaws.com/EC_173210496011417/txn_301/20250617_105524/"
Was this page helpful?

